Bug 284371 - plugin does not load because of license not being GPL v2 opr later compatible
plugin does not load because of license not being GPL v2 opr later compatible
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail-plugins (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 04:47 EDT by Patrick C. F. Ernzer
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.0.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 12:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2007-09-10 04:47:16 EDT
Description of problem:
plugin does not load because of license not being GPL v2 opr later compatible

Version-Release number of selected component (if applicable):
claws-mail-plugins-gtkhtml2-viewer.i386  2.10.0-1.fc7

How reproducible:
always

Steps to Reproduce:
1. start claws-mail
2. select Configuration/Plugins...
3. load gtkhtml2_viewer.so
  
Actual results:
dialog telling me that plugin did not load because of license not being GPL v2
opr later compatible

Expected results:
all plugins we make available should be loadable

Additional info:
a) I guess you'll want to check all the plugins
b) this problem started with the new 3.0.0 claws-mail, so I guess something changed
Comment 1 Andreas Bierfert 2007-09-10 05:10:46 EDT
Well there are two sides to this problem:

Frist of all somebody decided to push 3.0.0 to _stable_ instead of what I had
selected in body (updates-testing) for f7 so 3.0.0 was released before I even
had a chance to test the 3.0.0 plugins.

Second my build of the 3.0.0 plugins failed and I did not have time this weekend
to look after it. It's on my todo for today and my guess is that the situation
will be ok afterwards. Though this does not explain why 3.0.0 was pushed to
stable in the first place.
Comment 2 Patrick C. F. Ernzer 2007-09-10 05:44:26 EDT
FWIW: http://www.claws-mail.org/downloads/plugins/gtkhtml2_viewer-0.15.2.tar.gz
is GPLv3 (just before anyone asks)

and in response to Comment #1 : good, you are aware of the problem, which is why
I opened the bug. Feel free to close once you compiled, tested and pushed new
plugins. As to the erroneous push, I guess you'll want a separate BZ against that.
Comment 3 Fedora Update System 2007-09-10 12:54:09 EDT
claws-mail-plugins-3.0.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.